utl::id_traits< _Tp, _Nm > Struct Template Reference

id container traits helper More...

`#include <id.h>`

## Public Types

typedef _Tp | type[_Nm]

## Static Public Member Functions

static constexpr _Tp & | Ref (const type &t, size_t n) noexcept
static constexpr _Tp * | Ptr (const type &t) noexcept

## Detailed Description

### template<typename _Tp, size_t _Nm>
struct utl::id_traits< _Tp, _Nm >

id container traits helper

Definition at line 38 of file id.h.

## Member Typedef Documentation

## type

template<typename _Tp , size_t _Nm>

typedef _Tp utl::id_traits< _Tp, _Nm >::type[_Nm]

Definition at line 39 of file id.h.

## Member Function Documentation

## Ptr()

template<typename _Tp , size_t _Nm>

static constexpr _Tp* utl::id_traits< _Tp, _Nm >::Ptr | ( | const type & | t | ) |

inlinestaticnoexcept

Definition at line 45 of file id.h.

## Ref()

template<typename _Tp , size_t _Nm>

static constexpr _Tp& utl::id_traits< _Tp, _Nm >::Ref | ( | const type & | t,
|  | size_t | n
| ) |  |

inlinestaticnoexcept

Definition at line 41 of file id.h.

The documentation for this struct was generated from the following file:

- include/utl/container/id.h